deepspeech

v0.9.3

A library for running inference on a DeepSpeech model For more information about how to use this package see README

Latest version published 3 years ago
License: MPL-2.0

Ensure you're using the healthiest python packages

Snyk scans all the packages in your projects for vulnerabilities and provides automated fix advice

Package Health Score

60 / 100

Explore Similar Packages

Popularity

Recognized
GitHub Stars
24.15K
Forks
3.87K
Contributors
140

Direct Usage Popularity

TOP 30%

Based on project statistics from the GitHub repository for the PyPI package deepspeech, we found that it has been starred 24,152 times.

Security

Security review needed
Powered by Snyk
0.9.3 (Latest)

Security and license risk for latest version

Release Date
Dec 10, 2020
Direct Vulnerabilities
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
Indirect Vulnerabilities
  • 0
    C
  • 0
    H
  • 0
    M
  • 3
    L
License Risk
  • 0
    H
  • 1
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
MPL-2.0
Alert

Non-Permissive License

We noticed that this project uses a license which requires less permissive conditions such as disclosing the source code, stating changes or redistributing the source under the same license. It is advised to further consult the license terms before use.


Security Policy
No

We found a way for you to contribute to the project! Looks like deepspeech is missing a security policy.


A security vulnerability was detected in an indirect dependency that is added to your project when the latest version of deepspeech is installed.

We highly advise you to review these security issues.

You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

Fix it in your project with Snyk!

Maintenance

Inactive

Commit Frequency

No Recent Commits
Open Issues
117
Open PR
26
Last Release
3 years ago
Last Commit
2 years ago

Further analysis of the maintenance status of deepspeech based on released PyPI versions cadence, the repository activity, and other data points determined that its maintenance is Inactive.

An important project maintenance signal to consider for deepspeech is that it hasn't seen any new versions released to PyPI in the past 12 months, and could be considered as a discontinued project, or that which receives low attention from its maintainers.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Active
Readme
Yes
Contributing.md
Yes
Code of Conduct
Yes
Contributors
140
Funding
No

A good and healthy external contribution signal for deepspeech project, which invites more than one hundred open source maintainers to collaborate on the repository.


Embed Package Health Score Badge

package health: 60/100 package health 60/100

Package

Python Versions Compatibility
==2.7.*, ==3.4.*, ==3.5.*, ==3.6.*

Age
6 years
Latest Release
3 years ago
Dependencies
1 Direct / 1 Total
Versions
100
Maintainers
1
Wheels
Linux, macOS, Windows